Skip to main content

Search projects

GET 

/api/v1/project/search

Search projects

Request

Query Parameters

    query string

    The search term (matches project name or partial match)

    status string

    Filter by project status (active, completed, on-hold)

    Example: active
    includeUnassociated boolean

    Include projects not owned or associated with the user

    Example: false
    page number

    The page number to fetch (default: 1)

    Example: 1
    perPage number

    Number of projects per page (default: 15)

    Example: 15
    projectTypes string[]

    Possible values: [product, application, lib, bundle, infra, config, config_map]

    Filter by specific project types. When not provided, config and config_map types are excluded by default.

    Example: [application, lib]

Responses

Schema

    data

    object[]

    required

    The data items for the current page

  • Array [

  • id numberrequired

    Unique identifier of the project

    name stringrequired

    Unique slug name of the project

    projectName string

    Human-friendly name of the project (not unique)

    description string
    projectType stringrequired

    Possible values: [product, application, lib, bundle, infra, config, config_map]

    status string

    Status of the project (active, completed, on-hold)

    label string

    Label name assigned to the project

    archivedAt date-time

    Date when the project was archived. Null means the project is active.

    applicationCategory string

    Possible values: [user, technician]

    Application category (user or technician), only relevant for application type projects

  • ]

  • total numberrequired

    The total number of items available

    page numberrequired

    The current page number

    perPage numberrequired

    The number of items per page

Loading...